<!DOCTYPE html>

<head>

</head>

<body>
    <div id="dvMensajes">

    </div>    
    <input type="text" id="txtMensaje"/><button onclick="enviarMensaje()">Enviar Mensaje</button>
    <script>
        var exampleSocket = new WebSocket("ws://localhost:8080");
        exampleSocket.onopen = function (event) {
            exampleSocket.send("Hola server, ya ingrese!");
        };
        exampleSocket.onmessage = function (event) {
            var mensajeDiv = document.createElement("P");         // Create a text node
            mensajeDiv.innerHTML=event.data;
            document.getElementById("dvMensajes").appendChild(mensajeDiv)
        }

        function cerrarSession() {
            exampleSocket.close();
        }
        function enviarMensaje()
        {
            var txtMensaje=document.getElementById("txtMensaje");
            exampleSocket.send(txtMensaje.value);
            txtMensaje.value="";

        }
    </script>
</body>